{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load humanize %}

{% block title %}Editar motivo{% endblock %}

{% block page %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item">Finanzas</li>
    	<li class="breadcrumb-item">Administración</li>
		<li class="breadcrumb-item"><a href="{% url 'mainreason-list' %}">Motivos</a></li>
    	<li class="breadcrumb-item active">Editar</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Editar <small>motivo de cargo o descuento</small></h1>
	<!-- end page-header -->

	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Editar motivo</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
          

          <form id="customer-form" class="form-horizontal" method="post">
            {% csrf_token %}

	  <div class="form-group row m-b-15">
	    <label for="{{ form.reason.auto_id }}" class="col-form-label col-md-3">Motivo<i style="margin-left:10px" class="fas fa-info-circle"  data-toggle="tooltip" data-html="true"
			title="Descripción del motivo"></i></label>
	    <div class="col-sm-9">
	      {% render_field form.reason class="form-control m-b-5" %}

	      {% for error in form.reason.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
	    <label for="{{ form.valor.auto_id }}" class="col-form-label col-md-3">Valor o Monto <i style="margin-left:10px" class="fas fa-info-circle"  data-toggle="tooltip" data-html="true"
			title="Este campo es un número, si selecciona que es en porcentaje el valor máx que puede tener es 100 y si es un monto debe ser el total aplicado. Cuando depende de cierta cantidad de días, el monto se multiplicará por los días."></i></label>
	    <div class="col-sm-9">
	      {% render_field form.valor class="form-control m-b-5" %}

	      {% for error in form.valor.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
				<label for="{{ form.kind.auto_id }}" class="col-form-label col-md-3">Tipo</label>
				<div class="col-sm-9">
						<select name="kind" class="form-control m-b-5" id="id_kind" >
							<option value="1" {%ifequal object.kind 1 %} selected {%endifequal%}>Descuento</option>
							<option value="2" {%ifequal object.kind 2 %} selected {%endifequal%}>Cargo</option>
						</select>
		
				  {% for error in form.kind.errors %}
				  <small class="f-s-12 text-danger">{{ error }}</small>
				  {% endfor %}
				</div>
				</div>
	
		<div class="form-group row m-b-15">
				<label for="{{ form.percent.auto_id }}" class="col">¿Es porcentaje?<i style="margin-left:10px" class="fas fa-info-circle"  data-toggle="tooltip" data-html="true"
					title="Si es porcentaje, los cálculos de los descuentos y cargos asociados a dicho motivo se harán por el valor indicado"></i></label>
				<div class="col">
				{% render_field form.percent %}
				{% for error in form.percent.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
				</div>
				<label for="{{ form.calculate_by_days.auto_id }}" class="col">¿El valor será por días?<i style="margin-left:10px" class="fas fa-info-circle"  data-toggle="tooltip" data-html="true"
					title="Si se selecciona que el valor a cargar o descontar es por días, el valor indicado se múltiplicará por la cantidad de días que se indique al crear dicho cargo o descuento."></i></label>
				<div class="col">
					{% render_field form.calculate_by_days %}
					{% for error in form.active.errors %}
					<small class="f-s-12 text-danger">{{ error }}</small>
					{% endfor %}
				</div>
		</div>

		<div class="form-group row m-b-15">
				<label for="{{ form.uf.auto_id }}" class="col">El monto es en UF<i style="margin-left:10px" class="fas fa-info-circle"  data-toggle="tooltip" data-html="true"
					title="Indica si este motivo se calcula con el valor UF, en caso de ser así, el valor o monto indica la cantidad de veces del UF correspondiente"></i></label>
				<div class="col">
				{% render_field form.uf %}
				{% for error in form.uf.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
				</div>
				<label for="{{ form.active.auto_id }}" class="col">¿Activo?<i style="margin-left:10px" class="fas fa-info-circle"  data-toggle="tooltip" data-html="true"
					title="Indica si este motivo estará activo para crear nuevos descuentos o cargos"></i></label>
				<div class="col">
				{% render_field form.active %}
				{% for error in form.active.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
				</div>
			</div>
		
		
	  <input type="submit" value="Actualizar" class="btn btn-primary">
	  <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
                  </form>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
	</div>
	<!-- end row -->

	{% endblock %}
{% block pageleveljs %}

{% endblock %}
